//---------------------------------------------------------------------------
#ifndef FGUIDlgSelDirH
#define FGUIDlgSelDirH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <Buttons.hpp>
#include <FileCtrl.hpp>
#include <Menus.hpp>
//---------------------------------------------------------------------------
bool dlg_bSelectDirectory(AnsiString _oTitle,AnsiString& _roDirectory);
bool dlg_bCreateDirectory(AnsiString _asBase);
bool dlg_bRenameDirectory(AnsiString _asDirectory);
bool dlg_bRemoveDirectory(AnsiString _asDirectory);

bool dlg_bRenameFile(AnsiString _asFilename);
//---------------------------------------------------------------------------
class TDLGSelDir : public TForm
{
__published:	// IDE-managed Components
    TDirectoryListBox *dbox_Dir;
    TBitBtn *bt_Ok;
    TDriveComboBox *dbox_Unit;
    TBitBtn *bt_Cancel;
    TLabel *lb_DirName;
    TPopupMenu *pop_DirOpt;
    TMenuItem *Createdirectoryhere1;
    TMenuItem *Removedirectory1;
    TMenuItem *Renamedirectory1;
    void __fastcall Createdirectoryhere1Click(TObject *Sender);
    void __fastcall Renamedirectory1Click(TObject *Sender);
    void __fastcall Removedirectory1Click(TObject *Sender);
    void __fastcall dbox_DirMouseDown(TObject *Sender, TMouseButton Button,TShiftState Shift, int X, int Y);

private:	// User declarations

public:		// User declarations
    __fastcall TDLGSelDir(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TDLGSelDir *DLGSelDir;
//---------------------------------------------------------------------------
#endif
